package com.gaowj.system.easyui;

import java.util.Map;

import com.gaowj.business.action.BasicAction;
import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.RequestUtils;

public class viewAction extends BasicAction{
	
	private static final long serialVersionUID = 8911809224827559410L;
	
	public String roleTab() throws BusinessException{
		return "roleTab";
	}
	
	public String roleTabDetail() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "roleTabDetail";
	}
	
	public String userTab() throws BusinessException{
		return "userTab";
	}
	
	public String userTabDetail() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "userTabDetail";
	}
	
	public String groupTab() throws BusinessException{
		return "groupTab";
	}
	
	public String groupTabDetail() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "groupTabDetail";
	}
	
	public String logTab() throws BusinessException{
		return "logTab";
	}
	
	public String log4jTab() throws BusinessException{
		return "log4jTab";
	}
	
	public String logBusinessTab() throws BusinessException{
		return "logBusinessTab";
	}
	
	public String moduletypeTab() throws BusinessException{
		return "moduletypeTab";
	}
	
	public String moduletypeTabDetail() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "moduletypeTabDetail";
	}
	
	public String moduleTab() throws BusinessException{
		return "moduleTab";
	}
	
	public String moduleTabDetail() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "moduleTabDetail";
	}
	
	public String cacheTab() throws BusinessException{
		return "cacheTab";
	}
	
	public String cacheKeyTab() throws BusinessException{
		return "cacheKeyTab";
	}
	
	public String onlineUserTab() throws BusinessException{
		return "onlineUserTab";
	}

}
